> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/blockpi/blockpi_rubalance.md).

# blockpi\_ruBalance

Using any existing key to query the currently RU balance of the account which owns the api key.

{% hint style="info" %}
This method is to use any existing key to check the RU balance of your account, no matter how many keys in the account. The key is the last 40 digits of an private endpoint.&#x20;
{% endhint %}

For example, a user created 4 private endpoints and his remaining RU is 99M .

> *1) <https://polygon-zkevm.blockpi.network/v1/rpc/**60794194a000ijb35af7e1180i311a26297a3b0w>\*\**
>
> *2) <https://arbitrum-nova.blockpi.network/v1/rpc/**1ee7d16c79ada6612ebf0q745fda72f57e593bd8>\*\**
>
> *3) <https://klaytn.blockpi.network/v1/rpc/**c338e93b14dc913700369e6c58d3184405ff7b1cb>\*\**
>
> *4) <https://polygon-zkevm.blockpi.network/v1/rpc/**4e322aee2acbba725782361y6fa64afc20706107>\*\**

Using ***4e322aee2acbba725782361y6fa64afc20706107*** or ***c338e93b14dc913700369e6c58d3184405ff7b1cb*** as the parameter will give the same response of the 99M remaining RU.&#x20;

***

#### **Parameters:**

**apikey** -- any API key that the users already created in their account.

#### **Returns:**

**balance** -- the remaining RU balance of the account.

#### Example:

{% code overflow="wrap" %}

```python
// Request
curl  https://api.blockpi.io/openapi/v1/rpc -X POST -H "Content-Type: application/json" 
--data '{
    "jsonrpc": "2.0",
    "method": "blockpi_ruBalance",
    "params": [
        {
            "apiKey": "60794194a000ijb35af7e1180i311a26297a3b0w" 
        }
    ],
    "id": 1
}'

// Result
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "balance": 0
    }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockpi.io/build/api-reference/blockpi/blockpi_rubalance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
